<?php
/**
 * Our Services options.
 *
 * @package Spirit Business
 */

$spirit_business_default = spirit_business_get_default_theme_options();

// Featured Our Services Section
$wp_customize->add_section( 'section_our_services',
	array(
	'title'      => __( 'Services Section', 'spirit-business' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	'panel'      => 'home_page_panel',
	)
);

// Enable Our Services Section
$wp_customize->add_setting('theme_options[enable_our_services_section]', 
	array(
	'default' 			=> $spirit_business_default['enable_our_services_section'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'spirit_business_sanitize_checkbox'
	)
);

$wp_customize->add_control('theme_options[enable_our_services_section]', 
	array(		
	'label' 	=> __('Enable Our Services Section', 'spirit-business'),
	'section' 	=> 'section_our_services',
	'settings'  => 'theme_options[enable_our_services_section]',
	'type' 		=> 'checkbox',	
	)
);

// Section Sub Title
$wp_customize->add_setting('theme_options[our_services_section_sub_title]', 
	array(
	'default'           => $spirit_business_default['our_services_section_sub_title'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_text_field'
	)
);

$wp_customize->add_control('theme_options[our_services_section_sub_title]', 
	array(
	'label'       => __('Section Sub Title', 'spirit-business'),
	'section'     => 'section_our_services',   
	'settings'    => 'theme_options[our_services_section_sub_title]',	
	'active_callback' => 'spirit_business_our_services_active',
	'type'        => 'text'
	)
);

// Section Title
$wp_customize->add_setting('theme_options[our_services_section_title]', 
	array(
	'default'           => $spirit_business_default['our_services_section_title'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_text_field'
	)
);

$wp_customize->add_control('theme_options[our_services_section_title]', 
	array(
	'label'       => __('Section Title', 'spirit-business'),
	'section'     => 'section_our_services',   
	'settings'    => 'theme_options[our_services_section_title]',	
	'active_callback' => 'spirit_business_our_services_active',
	'type'        => 'text'
	)
);

// Number of items
$wp_customize->add_setting('theme_options[number_of_our_services_items]', 
	array(
	'default' 			=> $spirit_business_default['number_of_our_services_items'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'spirit_business_sanitize_number_range'
	)
);

$wp_customize->add_control('theme_options[number_of_our_services_items]', 
	array(
	'label'       => __('Number Of Items', 'spirit-business'),
	'description' => __('Save & Refresh the customizer to see its effect. Maximum is 50.', 'spirit-business'),
	'section'     => 'section_our_services',   
	'settings'    => 'theme_options[number_of_our_services_items]',		
	'type'        => 'number',
	'active_callback' => 'spirit_business_our_services_active',
	'input_attrs' => array(
			'min'	=> 1,
			'max'	=> 50,
			'step'	=> 1,
		),
	)
);

$wp_customize->add_setting('theme_options[our_services_content_type]', 
	array(
	'default' 			=> $spirit_business_default['our_services_content_type'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'spirit_business_sanitize_select'
	)
);

$wp_customize->add_control('theme_options[our_services_content_type]', 
	array(
	'label'       => __('Content Type', 'spirit-business'),
	'section'     => 'section_our_services',   
	'settings'    => 'theme_options[our_services_content_type]',		
	'type'        => 'select',
	'active_callback' => 'spirit_business_our_services_active',
	'choices'	  => array(
			'our_services_page'	  => __('Page','spirit-business'),
			'our_services_post'	  => __('Post','spirit-business'),
			'our_services_category' => __('Category','spirit-business'),
		),
	)
);

$spirit_business_number_of_our_services_items = spirit_business_get_option( 'number_of_our_services_items' );

for( $i=1; $i<=$spirit_business_number_of_our_services_items; $i++ ) {

	// Icon
	$wp_customize->add_setting('theme_options[our_services_icon_'.$i.']', 
		array(
		'type'              => 'theme_mod',
		'capability'        => 'edit_theme_options',	
		'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control('theme_options[our_services_icon_'.$i.']', 
		array(
		'label'       => sprintf( __('Select Icon #%1$s', 'spirit-business'), $i),
		'section'     => 'section_our_services',   
		'settings'    => 'theme_options[our_services_icon_'.$i.']',		
		'active_callback' => 'spirit_business_our_services_active',
		'type'        => 'text',
		)
	);

	// Page
	$wp_customize->add_setting('theme_options[our_services_page_'.$i.']', 
		array(
		'type'              => 'theme_mod',
		'capability'        => 'edit_theme_options',	
		'sanitize_callback' => 'spirit_business_dropdown_pages'
		)
	);

	$wp_customize->add_control('theme_options[our_services_page_'.$i.']', 
		array(
		'label'       => sprintf( __('Select Page #%1$s', 'spirit-business'), $i),
		'section'     => 'section_our_services',   
		'settings'    => 'theme_options[our_services_page_'.$i.']',	
		'active_callback' => 'spirit_business_our_services_page',	
		'type'        => 'dropdown-pages',
		)
	);

	// Posts
	$wp_customize->add_setting('theme_options[our_services_post_'.$i.']', 
		array(
		'type'              => 'theme_mod',
		'capability'        => 'edit_theme_options',	
		'sanitize_callback' => 'spirit_business_dropdown_pages'
		)
	);

	$wp_customize->add_control('theme_options[our_services_post_'.$i.']', 
		array(
		'label'       => sprintf( __('Select Post #%1$s', 'spirit-business'), $i),
		'section'     => 'section_our_services',   
		'settings'    => 'theme_options[our_services_post_'.$i.']',		
		'type'        => 'select',
		'active_callback' => 'spirit_business_our_services_post',
		'choices'	  => spirit_business_dropdown_posts(),
		)
	);

	// Button Text One
	$wp_customize->add_setting('theme_options[our_services_btn_text_'.$i.']', 
		array(
		'type'              => 'theme_mod',
		'capability'        => 'edit_theme_options',	
		'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control('theme_options[our_services_btn_text_'.$i.']', 
		array(
		'label'       => sprintf( __('Button Text #%1$s', 'spirit-business'), $i),
		'section'     => 'section_our_services',   
		'settings'    => 'theme_options[our_services_btn_text_'.$i.']',		
		'active_callback' => 'spirit_business_our_services_active',
		'type'        => 'text'
		)
	);
}

// Setting Category.
$wp_customize->add_setting( 'theme_options[our_services_category]',
	array(
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	new spirit_business_Dropdown_Taxonomies_Control( $wp_customize, 'theme_options[our_services_category]',
		array(
		'label'    => __( 'Select Category', 'spirit-business' ),
		'section'  => 'section_our_services',
		'settings' => 'theme_options[our_services_category]',	
		'active_callback' => 'spirit_business_our_services_category'
		)
	)
);